TrustKeeper Scan Engine Update

Summary

Last Saturday, an authentication bypass vulnerability for MySQL and MariaDB (CVE-2012-2122) was released that could allow root access to the data within a given database instance. If you would like to know more about this vulnerability, please see our recent blog post, which shows how the vulnerability is exploited and what you should do if you are running or evaluating a MySQL/MariaDB instance. We are happy to provide a check for this vulnerability in this update.

We also took the opportunity to make a variety of improvements to web application fingerprints such as Paypal Shopping Carts, Frontpage Server Extensions, Bugzilla, Pinnacle Cart and many others. Significant improvements in the associated evidence data that is provided for a large number of vulnerability checks are also included.

A big thanks goes out to Nathan Drier, of the Trustwave SpiderLabs Penetration Testing Team, for his excellent help with the Adobe ColdFusion Directory Traversal Vulnerability check in this update.


New Vulnerability Test Highlights

Some of the more interesting vulnerability tests we added recently are as follows:

Adobe ColdFusion

* Multiple Directory Traversal Vulnerabilities (CVE-2010-2861)

Apache

* HTTP Server Directory Disclosure via Multiviews Vulnerability (CVE-2001-0731)

ISC BIND

* Zero Length rdata Denial of Service Vulnerability (CVE-2012-1667)

Microsoft Windows

* Firewall tcpip.sys Sensitive Information Disclosure Vulnerability (MS12-032) (CVE-2012-0174)

* WinVerifyTrust Signature Validation Vulnerability (MS12-024) (CVE-2012-0151)

* TCP/IP Double Free Vulnerability (MS12-032) (CVE-2012-0179)

* Assembly Execution Vulnerability (MS12-005) (CVE-2012-0013)

* Kernel SafeSEH Bypass Vulnerability (MS12-001) (CVE-2012-0001)

* CSRSS Elevation of Privilege Vulnerability (MS12-003) (CVE-2012-0005)

* Terminal Server Denial of Service Vulnerability (MS12-020) (CVE-2012-0152)

* DNS Denial of Service Vulnerability (MS12-017) (CVE-2012-0006)

* PostMessage Function Vulnerability (MS12-018) (CVE-2012-0157)

MySQL/MariaDB

* memcmp Authentication Bypass Vulnerability (CVE-2012-2122)

OpenSSL

* Sensitive Information Disclosure Vulnerability (CVE-2010-1633)

* CRL Verification Vulnerability (CVE-2011-3207)

PHP

* rfc1867.c Directory Traversal during Multi-File Upload Vulnerability (CVE-2012-1172)


How to Update?

All Trustwave customers using the TrustKeeper Scan Engine receive the updates "auto-magically" as soon as an update is available. No action is required.

Trustwave reserves the right to review all comments in the discussion below. Please note that for security and other reasons, we may not approve comments containing links.